summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Zacarias <gustavo.zacarias@free-electrons.com>2016-12-21 20:22:44 (GMT)
committerPeter Korsgaard <peter@korsgaard.com>2016-12-21 21:18:39 (GMT)
commitc4cb7a46ac5e4fe4cb88836903f2779fa7dc83d8 (patch)
treee7acf23730e97f7035b7ac75da61387b18385480
parentb97e3c94a9798bbd7eb08f5bd1adb0417cde1fd1 (diff)
downloadbuildroot-c4cb7a46ac5e4fe4cb88836903f2779fa7dc83d8.tar.gz
buildroot-c4cb7a46ac5e4fe4cb88836903f2779fa7dc83d8.tar.bz2
lzlib: depends on lua
It's missing the dependency on lua, hence when using the upcoming PPS support its staging directory isn't populated with the required dependencies resulting in build failure. Signed-off-by: Gustavo Zacarias <gustavo.zacarias@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/lzlib/lzlib.mk2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/lzlib/lzlib.mk b/package/lzlib/lzlib.mk
index 91f380a..f468a1c 100644
--- a/package/lzlib/lzlib.mk
+++ b/package/lzlib/lzlib.mk
@@ -6,7 +6,7 @@
LZLIB_VERSION = 0.4.3
LZLIB_SITE = $(call github,LuaDist,lzlib,$(LZLIB_VERSION))
-LZLIB_DEPENDENCIES = zlib
+LZLIB_DEPENDENCIES = lua zlib
LZLIB_LICENSE = MIT
LZLIB_CONF_OPTS = -DINSTALL_CMOD="/usr/lib/lua/$(LUAINTERPRETER_ABIVER)" \
-DINSTALL_LMOD="/usr/share/lua/$(LUAINTERPRETER_ABIVER)"